> ## Documentation Index
> Fetch the complete documentation index at: https://azure-foundry.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get evals runs output items 1

> Retrieve a specific output item from an evaluation run by its ID.

NOTE: This Azure OpenAI API is in preview and subject to change.



## OpenAPI

````yaml api-reference/openai-v1.yaml get /evals/{eval_id}/runs/{run_id}/output_items/{output_item_id}
openapi: 3.0.0
info:
  title: Azure AI Foundry Models Service
  license:
    name: MIT
    url: https://github.com/openai/openai-openapi/blob/master/LICENSE
  version: v1
servers:
  - url: '{endpoint}/openai/v1'
    description: Azure AI Foundry Models APIs
    variables:
      endpoint:
        default: ''
        description: >-
          A supported Azure AI Foundry Models APIs endpoint, including protocol
          and hostname.

          For example:

          https://westus.api.cognitive.microsoft.com).
security:
  - ApiKeyAuth: []
  - ApiKeyAuth_: []
  - OAuth2Auth:
      - https://cognitiveservices.azure.com/.default
tags:
  - name: Chat
  - name: Embeddings
  - name: Evals
  - name: Files
  - name: Fine-tuning
  - name: Models
  - name: Responses
  - name: Vector Stores
paths:
  /evals/{eval_id}/runs/{run_id}/output_items/{output_item_id}:
    get:
      tags:
        - Evals
      description: |-
        Retrieve a specific output item from an evaluation run by its ID.

        NOTE: This Azure OpenAI API is in preview and subject to change.
      operationId: getEvalRunOutputItem
      parameters:
        - name: api-version
          in: query
          required: false
          description: >-
            The explicit Azure AI Foundry Models API version to use for this
            request.

            `v1` if not otherwise specified.
          schema:
            $ref: '#/components/schemas/AzureAIFoundryModelsApiVersion'
            default: v1
        - name: aoai-evals
          in: header
          required: true
          description: >-
            Enables access to AOAI Evals, a preview feature.

            This feature requires the 'aoai-evals' header to be set to
            'preview'.
          schema:
            type: string
            enum:
              - preview
        - name: eval_id
          in: path
          required: true
          schema:
            type: string
        - name: run_id
          in: path
          required: true
          schema:
            type: string
        - name: output_item_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The request has succeeded.
          headers:
            apim-request-id:
              required: false
              description: A request ID used for troubleshooting purposes.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenAI.EvalRunOutputItem'
        default:
          description: An unexpected error response.
          headers:
            apim-request-id:
              required: false
              description: A request ID used for troubleshooting purposes.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AzureErrorResponse'
components:
  schemas:
    AzureAIFoundryModelsApiVersion:
      type: string
      enum:
        - v1
        - preview
    OpenAI.EvalRunOutputItem:
      type: object
      required:
        - object
        - id
        - run_id
        - eval_id
        - created_at
        - status
        - datasource_item_id
        - datasource_item
        - results
        - sample
      properties:
        object:
          type: string
          enum:
            - eval.run.output_item
          description: The type of the object. Always "eval.run.output_item".
          default: eval.run.output_item
        id:
          type: string
          description: Unique identifier for the evaluation run output item.
        run_id:
          type: string
          description: >-
            The identifier of the evaluation run associated with this output
            item.
        eval_id:
          type: string
          description: The identifier of the evaluation group.
        created_at:
          type: integer
          format: unixtime
          description: Unix timestamp (in seconds) when the evaluation run was created.
        status:
          type: string
          description: The status of the evaluation run.
        datasource_item_id:
          type: integer
          format: int32
          description: The identifier for the data source item.
        datasource_item:
          type: object
          additionalProperties: {}
          description: Details of the input data source item.
        results:
          type: array
          items:
            type: object
            additionalProperties: {}
          description: A list of results from the evaluation run.
        sample:
          type: object
          properties:
            input:
              type: array
              items:
                type: object
                properties:
                  role:
                    type: string
                    description: >-
                      The role of the message sender (e.g., system, user,
                      developer).
                  content:
                    type: string
                    description: The content of the message.
                required:
                  - role
                  - content
              description: An array of input messages.
            output:
              type: array
              items:
                type: object
                properties:
                  role:
                    type: string
                    description: >-
                      The role of the message (e.g. "system", "assistant",
                      "user").
                  content:
                    type: string
                    description: The content of the message.
              description: An array of output messages.
            finish_reason:
              type: string
              description: The reason why the sample generation was finished.
            model:
              type: string
              description: The model used for generating the sample.
            usage:
              type: object
              properties:
                total_tokens:
                  type: integer
                  format: int32
                  description: The total number of tokens used.
                completion_tokens:
                  type: integer
                  format: int32
                  description: The number of completion tokens generated.
                prompt_tokens:
                  type: integer
                  format: int32
                  description: The number of prompt tokens used.
                cached_tokens:
                  type: integer
                  format: int32
                  description: The number of tokens retrieved from cache.
              required:
                - total_tokens
                - completion_tokens
                - prompt_tokens
                - cached_tokens
              description: Token usage details for the sample.
            error:
              $ref: '#/components/schemas/OpenAI.EvalApiError'
            temperature:
              type: number
              format: float
              description: The sampling temperature used.
            max_completion_tokens:
              type: integer
              format: int32
              description: The maximum number of tokens allowed for completion.
            top_p:
              type: number
              format: float
              description: The top_p value used for sampling.
            seed:
              type: integer
              format: int32
              description: The seed used for generating the sample.
          required:
            - input
            - output
            - finish_reason
            - model
            - usage
            - error
            - temperature
            - max_completion_tokens
            - top_p
            - seed
          description: A sample containing the input and output of the evaluation run.
      description: A schema representing an evaluation run output item.
    AzureErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: The distinct, machine-generated identifier for the error.
            message:
              type: string
              description: A human-readable message associated with the error.
            param:
              type: string
              description: >-
                If applicable, the request input parameter associated with the
                error
            type:
              type: string
              enum:
                - error
              description: The object type, always 'error.'
            inner_error: {}
          description: The error details.
    OpenAI.EvalApiError:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          description: The error code.
        message:
          type: string
          description: The error message.
      description: An object representing an error response from the Eval API.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api-key
    ApiKeyAuth_:
      type: apiKey
      in: header
      name: authorization
    OAuth2Auth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://login.microsoftonline.com/common/oauth2/v2.0/authorize
          scopes:
            https://cognitiveservices.azure.com/.default: ''

````